System 2.0.0.0 4.0.0.0 System.Enum

This enumeration is used to specify whether a revocation check occurs and if it is performed online or offline.

Specifying an online check can result in a long delay while the certificate authority is contacted.

Specifies the mode used to check for X509 certificate revocation.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509RevocationMode

  No revocation check is performed on the certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509RevocationMode

  A revocation check is made using a cached certificate revocation list (CRL).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509RevocationMode

  A revocation check is made using an online certificate revocation list (CRL).